---
# Standard ssh-key breaks heketi! Requires a PEM format key.
# <FIX! ssh-key issue with -m PEM>
- name: Generate key
  shell: ssh-keygen -m PEM -f /etc/heketi/key -q -N ""
  args:
    creates: /etc/heketi/key.pub

- file:
    path: '{{item}}'
    owner: heketi
    group: heketi
  with_items:
    - /etc/heketi/key
    - /etc/heketi/key.pub


- name: Copy ssh key to Vault
  fetch:
    src: '/etc/heketi/{{item}}'
    dest: /home/me/.uni/key/gluster_master/
    validate_checksum: yes
    flat: yes
  with_items:
  - key
  - key.pub
